[Bug c++/65882] New: Internal compiler error: Error reporting routines re-entered

yan12125 at gmail dot com gcc-bugzilla@gcc.gnu.org
Sat Apr 25 08:29:00 GMT 2015


https://gcc.gnu.org/bugzilla/show_bug.cgi?id=65882

            Bug ID: 65882
           Summary: Internal compiler error: Error reporting routines
                    re-entered
           Product: gcc
           Version: 5.1.0
            Status: UNCONFIRMED
          Severity: normal
          Priority: P3
         Component: c++
          Assignee: unassigned at gcc dot gnu.org
          Reporter: yan12125 at gmail dot com

I invoke the following command:

g++ -nostdlib -Wbool-compare -Wno-unused -Wno-deprecated-declarations -s
-std=c++11 json.ii

json.ii is the attached file. It's from hhvm.
https://github.com/facebook/folly/blob/master/folly/json.cpp

I encounter no problem if compiling folly separately. If I compile the whole
hhvm, the following error occurs.

The result is:
https://gist.github.com/yan12125/b5498cb6ac2be4a5649a

The compiler version is:
$ g++ -v
Using built-in specs.
COLLECT_GCC=g++
COLLECT_LTO_WRAPPER=/usr/lib/gcc/x86_64-unknown-linux-gnu/5.1.0/lto-wrapper
Target: x86_64-unknown-linux-gnu
Configured with: /build/gcc-multilib/src/gcc-5.1.0/configure --prefix=/usr
--libdir=/usr/lib --libexecdir=/usr/lib --mandir=/usr/share/man
--infodir=/usr/share/info --with-bugurl=https://bugs.archlinux.org/
--enable-languages=c,c++,ada,fortran,go,lto,objc,obj-c++ --enable-shared
--enable-threads=posix --with-system-zlib --with-isl --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-clocale=gnu --disable-libstdcxx-pch
--disable-libssp --enable-gnu-unique-object --enable-linker-build-id
--enable-lto --enable-plugin --enable-install-libiberty
--with-linker-hash-style=gnu --enable-gnu-indirect-function --enable-multilib
--disable-werror --enable-checking=release --with-default-libstdcxx-abi=c++98
Thread model: posix
gcc version 5.1.0 (GCC)

OS: Arch Linux x86_64
I use the official gcc-multilib package

$ pacman -Qi gcc-multilib 
Name           : gcc-multilib
Version        : 5.1.0-1
Description    : The GNU Compiler Collection - C and C++ frontends for multilib
Architecture   : x86_64
URL            : http://gcc.gnu.org
Licenses       : GPL  LGPL  FDL  custom
Groups         : multilib-devel
Provides       : gcc=5.1.0-1
Depends On     : gcc-libs-multilib=5.1.0-1  binutils>=2.25  libmpc
Optional Deps  : None
Required By    : clang  dkms  dmd
Optional For   : None
Conflicts With : gcc
Replaces       : None
Installed Size : 108.38 MiB
Packager       : Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>
Build Date     : Thu 23 Apr 2015 09:33:01 PM CST
Install Date   : Sat 25 Apr 2015 01:48:42 PM CST
Install Reason : Explicitly installed
Install Script : Yes
Validated By   : Signature



More information about the Gcc-bugs mailing list